Upgrade to 3.1.15 - amavisd/rspamd

Discussion in 'ISPConfig 3 Priority Support' started by tritema, Sep 18, 2019.

  1. tritema

    tritema Member HowtoForge Supporter

    Dear,

    we are going to upgrade our stack (master-slave setup) to Ispconfig 3.1.15, but before to procede we have some questions:
    1. after the upgrade, the actual mailbox that use amavisd will works however with the actual amavisd configuration?
    2. in our stack (master-slave setup) there is some server with centos, and others with debian. In various versions. rspamd from what we can see works only with the debian. So if we decide to switch to rspamd only certain servers of the stack will works however? Or we need to switch the entire block?
    Thank you.
     
  2. Croydon

    Croydon ISPConfig Developer ISPConfig Developer

    Most of the amavis config will work, but you will have to alter your spamfilter policies because rspamd has it's own settings.
    You can switch each server separately to rspamd or leave it at amavis. This is done via system -> server config -> email tab.
     
  3. till

    till Super Moderator Staff Member ISPConfig Developer

    Yes, amavis is still fully supported, so it will work the same as before. There is no need to switch to Rspamd. Rspamd should work on CentOS as well, but we have not tested it in-depth, so I would wait with converting CentOS systems until we released a tutorial for it.
     
  4. tritema

    tritema Member HowtoForge Supporter

    Ok that's perfect. I'll plan to do something like that: update our stack, check if everything still works as before with amavisd (as I understood will be like that), then try to install rspamd on a test server environment, and then when will ok there, i'll try to configure one server a time on the production one.

    ty
     

Share This Page